import numpy as np
from sklearn.impute import SimpleImputer

D = np.genfromtxt( "datos.csv", delimiter=',', missing_values=np.NaN  )
print( D.shape )

print( D )

cambia = SimpleImputer()
cambia.fit( D )

X = cambia.transform( D )
print( X )

np.savetxt( "datosOk.csv", X, delimiter=',', fmt="%.2f" )
